Subject: Re: bug#53191: 29.0.50; file-notify-add-watch fails for socket files on MacOS

From: Michael Albinus <[email-masked]>
Date: Sat, 15 Jan 2022 15:45:23 +0100

Michael Albinus <[email-masked]> writes:

Hi Troy,

> Thanks for the report. The incrimed behavior is due to unconditional
> using of the EVFILT_VNODE filter, calling EV_SET in
> Fkqueue_add_watch. This requires a file descriptor.
>
> I'll investigate, whether another filter, like EVFILT_READ, is better
> suited for sockets, using a sockfd. This might take some days, though.

I'm sorry, but it seems that EV_SET requires a file descriptor. I
couldn't find a way to pass the socket file otherwise but via open(),
which doesn't work on *BSD-like systems, as you have analyzed.

What is your use case to supervise a socket file? You can't get more
information except that the file is deleted. And this you get also if
you monitor the parent directory.

>> - Troy

Best regards, Michael.